[API]
RtlMoveMemory

[INCLUDE]
MySQL_Select

[CODE]
Public Function MySQL_Select_GetValue(ByVal hQRManual As Long, ByVal IndexID As Long) As String
  Dim xType1 As MySQL_QueryInfo

  Call RtlMoveMemory(xType1, ByVal hQRManual, MySQL_QueryInfoLen)
  If (IndexID > -1& And IndexID < xType1.nFields) Then
    Call RtlMoveMemory(ByVal VarPtr(hQRManual), ByVal (hQRManual + MySQL_QueryInfoLen) + IndexID * 4&, 4&)
    MySQL_Select_GetValue = PeekS_Ansi(hQRManual)
    End If
  End Function
